--- ./programs/Xserver/hw/tinyx/vesa/vm86.h.00	2005-10-18 16:35:13.000000000 +0200
+++ ./programs/Xserver/hw/tinyx/vesa/vm86.h	2011-05-06 19:12:52.000000000 +0200
@@ -111,6 +111,12 @@
 #define MAKE_POINTER_1(lw) MAKE_POINTER(((lw)&0xFFFF0000)/0x10000, (lw)&0xFFFF)
 #define ALLOC_FAIL ((U32)-1)
 
+/* From xf86int10.h */
+#define X86_IF_MASK		0x00000200
+#define X86_IOPL_MASK		0x00003000
+#define IF_MASK		X86_IF_MASK
+#define IOPL_MASK	X86_IOPL_MASK	
+
 typedef struct _Vm86InfoRec {
     void		*magicMem, *loMem, *hiMem;
     void                *hole1, *hole2;
--- ./programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c.00	2006-03-19 01:22:50.000000000 +0100
+++ ./programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c	2011-05-06 18:11:41.000000000 +0200
@@ -14,7 +14,7 @@
 #include "fbdevhw.h"
 #include "fbpriv.h"
 
-#include "asm/page.h"	/* #define for PAGE_* */
+#include "sys/user.h"	/* #define for PAGE_* */
 
 #include "globals.h"
 #define DPMS_SERVER
--- ./programs/Xserver/hw/Imakefile.00	2006-03-01 22:20:28.000000000 +0100
+++ ./programs/Xserver/hw/Imakefile	2011-05-06 19:37:39.000000000 +0200
@@ -44,7 +44,7 @@
 #if defined(XdmxServer) && XdmxServer
 #undef  IHaveSubdirs
 #define IHaveSubdirs
-XDMXDIR = dmx
+XDMXDIR =
 #endif
 
 #if defined(XWinServer) && XWinServer
